#
# spec file for package latex2html
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           latex2html
BuildRequires:  fdupes
BuildRequires:  ghostscript-fonts-std
BuildRequires:  ghostscript-x11
BuildRequires:  netpbm
BuildRequires:  texlive-dvips
BuildRequires:  texlive-kpathsea
BuildRequires:  texlive-latex
BuildRequires:  xorg-x11
BuildRequires:  xorg-x11-devel
%{expand: %%global _texmfmaindir %(kpsewhich -expand-var='$TEXMFMAIN')}
%define share_dir /usr/share/latex2html
Url:            http://www.latex2html.org/
Requires:       ghostscript_any
Requires:       latex2html-pngicons
Requires:       netpbm
Requires:       perl
Requires:       texlive-dvips
Requires:       texlive-latex
Version:        2012
Release:        7.16
Summary:        LaTeX to HTML Converter
License:        GPL-2.0+
Group:          Productivity/Publishing/TeX/Utilities
BuildArch:      noarch
Source0:        http://mirrors.ctan.org/support/latex2html/latex2html-%{version}.tgz
Source1:        latex2html-manual.tar.bz2
Source2:        latex2html-README.SUSE
Source3:        testfile.tex
Source4:        local.pm
Source5:        latex2html.1
Patch0:         latex2html-%{version}-share-dir.diff
Patch1:         latex2html-%{version}-perl-bindir.diff
Patch2:         latex2html-%{version}-dest-dir.diff
Patch3:         latex2html-%{version}-binmode.diff
Patch4:         latex2html-%{version}-gsout.diff
Patch5:         latex2html-%{version}-match-multiline.diff
Patch6:         latex2html-%{version}-backref-workaround.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LaTeX2HTML lets you easily convert basic LaTeX documents into the HTML
format. This allows both a written and online version even of older
LaTeX texts.

%package pngicons
Summary:        Icons in the PNG format for LateX2HTML
License:        GPL-2.0+
Group:          Productivity/Publishing/TeX/Utilities

%description pngicons
Icons in the PNG format for the LaTeX to HTML Converter.

%package doc
Summary:        Documentation for Latex2HTML Converter
License:        GPL-2.0+ and LPPL-1.3c
Group:          Productivity/Publishing/TeX/Utilities

%description doc
LaTeX2HTML lets you easily convert basic LaTeX documents into the HTML
format. This allows both a written and online version even of older
LaTeX texts.

%prep
%setup -a 1
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
cp %{S:2} README.SUSE
cp %{S:4} .

%build
./configure --prefix=%{_prefix}
make

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 %{S:5} %{buildroot}/%{_mandir}/man1
rm -r %{buildroot}%{share_dir}/{docs,example,dot.latex2html-init,readme.hthtml} 
chmod 755 %{buildroot}%{_datadir}/%{name}/{cweb2html/makemake.pl,cweb2html/cweb2html,makemap,makeseg/makeseg}
#removing out-dated url.sty [#283760]
rm %{buildroot}%{_texmfmaindir}/tex/latex/html/url.sty
%fdupes -s %{buildroot}

%check
LATEX2HTMLDIR=%buildroot/%{share_dir} ./latex2html --test_mode %{S:3}

%postun
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%post
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%files
%defattr(-, root, root)
%doc README.SUSE
%doc Changes FAQ README TODO dot.latex2html-init readme.hthtml 
/usr/lib/latex2html
%dir %{share_dir}
%{share_dir}/*.pm
%{share_dir}/IndicTeX-HTML
%{share_dir}/L2hos
%{share_dir}/XyMTeX-HTML
%{share_dir}/cweb2html
%{share_dir}/foilhtml
%{share_dir}/icons/*.html
%{share_dir}/icons/*.gif
%{share_dir}/makemap
%{share_dir}/makeseg
%{share_dir}/styles
%{share_dir}/texinputs
%{share_dir}/versions
/usr/bin/*
%{_texmfmaindir}/tex/latex/html
%{_mandir}/man1/latex2html*

%files pngicons
%defattr(-, root, root)
%dir %{share_dir}
%dir %{share_dir}/icons
%{share_dir}/icons/*.png

%files doc
%defattr(-,root,root)
%doc manual
%doc tests
%doc example

%changelog
* Mon Nov 25 2013 pgajdos@suse.com
- updated to version 2012:
  * fix warnings in perl 5.14
  * build fixes
- latex2html-2008.diff was split to share-dir.patch, local.pm
  (source) and latex2html.1 (source)
- buildroot.diff was renamed to dest-dir.diff and that was extended
  to install icons properly
- fix-defined.patch was removed (upstreamed)
- manual.ps.gz was removed
* Tue Sep 10 2013 werner@suse.de
- Use kpsepath to determine texmf main location
* Tue Jun 25 2013 mls@suse.de
- use \g syntax for \8 and \9 regexp backrefs to work around
  a bug in perl-5.18
* Tue Jun 25 2013 coolo@suse.com
- add latex2html-fix-defined.patch from debian bug tracker to avoid
  a warning
- add apparmor's tex docu for better %%check: testfile.tex
* Thu Apr 11 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Mon Feb  4 2013 coolo@suse.com
- update license to new format
* Wed Mar 23 2011 vcizek@novell.com
- stopped using deprecated multiline matching (bnc#417982)
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Jan 27 2009 pgajdos@suse.cz
- splitted off doc package
- fixed /usr/local/bin/perl -> /usr/bin/perl in scripts
  * perl-bindir.diff
* Tue Jan 20 2009 pgajdos@suse.cz
- updated to version 2008
  * bug fixes
* Fri Nov 28 2008 ro@suse.de
- drop some old requires and buildrequires
* Tue Mar 18 2008 pgajdos@suse.cz
- fixed build, *.sty files have moved to /usr/lib
* Fri Jun 15 2007 pgajdos@suse.cz
- removed out-dated url.sty [#283760]
- using fdupes
* Fri Apr 20 2007 aj@suse.de
- Use texlive.
* Mon Feb 12 2007 ro@suse.de
- fix build as non-root
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Feb 19 2005 ro@suse.de
- fix gs version detection
* Tue Jun  8 2004 ke@suse.de
- Add README.SuSE and document 'url' package incompatibility [#26127].
* Thu Mar  4 2004 tcrhak@suse.cz
- install into /usr/share/latex2html instead of /usr/share/lib/latex2html
  (bug #33641)
* Wed Oct 29 2003 tcrhak@suse.cz
- use latex2html instead of l2h in the man page [bug #32559]
- updated the man page
* Thu Aug 14 2003 kukuk@suse.de
- Fix filelist for pngicons subpackage
* Thu Jun 12 2003 kukuk@suse.de
- Fix filelist
* Fri Mar  7 2003 tcrhak@suse.cz
- open files in raw binmode - needed when in a UTF-8 locale
  [bug #22982]
* Wed Jan 15 2003 tcrhak@suse.cz
- update to version 2002.2.1
- directory ...latex2html/icons now owned by
  latex2html-pngicons, not latex2html
- removed split-alias from latex2html-pngicons,
  as it is required by latex2html
* Thu Oct 31 2002 ro@suse.de
- fixed renaming issues with pngicons subpackage
* Wed Oct 30 2002 mmj@suse.de
- When l2hhtml is merged into here, this one should obsolete it
* Wed Oct 30 2002 mmj@suse.de
- Rename to latex2html, and merge the l2hhtml package
* Thu Sep 12 2002 mls@suse.de
- made it understand DeclareRobustCommand
* Sun Aug 18 2002 ro@suse.de
- added ghostscript-x11-packages to neededforbuild (for gs)
* Mon Mar 25 2002 ro@suse.de
- l2h should require it's icons not vice versa
* Sat Mar 23 2002 ro@suse.de
- split off package l2h-pngicons
* Mon Feb 18 2002 tcrhak@suse.cz
- added libgimpprint to neededforbuild
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Aug  2 2001 utuerk@suse.de
- added glib to Requires and neededforbuild
  to configure l2h to use png by default
* Thu Jul 26 2001 kukuk@suse.de
- fix needed for build
* Wed Jul 18 2001 nadvornik@suse.cz
- updated URL and README (bug #9386)
* Wed Mar  7 2001 cihlar@suse.cz
- fixed neededforbuild
* Thu Dec  7 2000 nadvornik@suse.cz
- added te_latex to Requires
* Fri Dec  1 2000 nadvornik@suse.cz
- update to 99.2beta8
* Wed Aug 30 2000 nadvornik@suse.cz
- configured to use png by default
* Thu Aug  3 2000 nadvornik@suse.cz
- added man page
- spec file cleanup
* Mon Sep 20 1999 ro@suse.de
- added Requires: ghostscript_any
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug  2 1999 ke@suse.de
- update: version 99.1
- the rc.config variables are gone.
* Wed Apr  7 1999 ro@suse.de
- fixed tex/latex link
* Thu Jul  2 1998 ro@suse.de
- fixed bash2-bug in SuSEconfig.l2h
* Wed Mar 18 1998 ro@suse.de
- added touch var/adm/SuSEconfig/run-texhash to %%post
* Tue Jun 10 1997 maddin@suse.de
- reordered the directory structure
  - latex2html now sits partly in /var/lib/latex2html (writable part) and
    /usr/lib/latex2html (read-only part)
- made absolute links relative ones
- removed some links
- restructured /sbin/conf.d/SuSEconfig.l2h
* Thu May 22 1997 maddin@suse.de
- first S.u.S.E. version 96-1.h
- placed the package in /usr/lib/latex2html
- documentation manual to separate package l2hhtml
- variables in rc.config to configure the package
